# Class WarPlugin

java.lang.Object
org.gradle.api.plugins.WarPlugin

All Implemented Interfaces:
  `Plugin<Project>`

public class WarPlugin extends Object implements Plugin<Project>

A `Plugin` which extends the `JavaPlugin` to add tasks which assemble a web application into a WAR file.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PROVIDED_COMPILE_CONFIGURATION_NAME`
`static final String`
`PROVIDED_RUNTIME_CONFIGURATION_NAME`
`static final String`
`WAR_TASK_NAME`
`static final String`
`WEB_APP_GROUP`

## Constructor Summary

Constructors
Constructor
Description
`WarPlugin(ObjectFactory objectFactory)`

## Method Summary

Modifier and Type
Method
Description
`void`
`apply(Project project)`
Apply this plugin to the given target object.
`void`
`configureConfigurations(ConfigurationContainer configurationContainer)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PROVIDED_COMPILE_CONFIGURATION_NAME

public static final String PROVIDED_COMPILE_CONFIGURATION_NAME

See Also:
  - Constant Field Values

### PROVIDED_RUNTIME_CONFIGURATION_NAME

public static final String PROVIDED_RUNTIME_CONFIGURATION_NAME

See Also:
  - Constant Field Values

### WAR_TASK_NAME

public static final String WAR_TASK_NAME

See Also:
  - Constant Field Values

### WEB_APP_GROUP

public static final String WEB_APP_GROUP

See Also:
  - Constant Field Values

## Constructor Details

### WarPlugin

@Inject public WarPlugin(ObjectFactory objectFactory)

## Method Details

### apply

public void apply(Project project)
Description copied from interface: `Plugin`
Apply this plugin to the given target object.

Specified by:
  `apply` in interface `Plugin<Project>`
Parameters:
  `project` - The target object

### configureConfigurations

public void configureConfigurations(ConfigurationContainer configurationContainer)